> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# リクエストしている企業のすべてのBox Hubのリストを取得

> 指定した企業のすべてのBox Hubを取得します。

このコールは、GCMスコープが設定されている、企業の管理者またはHub共同管理者が実行できます。

<Note>
  「[Box SDKのバージョニング戦略](/ja/guides/tooling/sdks/sdk-versioning/)について詳しく学ぶ。」
</Note>


## OpenAPI

````yaml box-openapi-v2025.0-jp.json GET /enterprise_hubs
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 92c221bf9d
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: アーカイブを管理するために使用される、一連のエンドポイント。
    x-box-tag: archives
  - name: Enterprise構成
    description: 管理者がBox製品の動作を制御するために操作するEnterprise構成。
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Genは、ドキュメントを自動的に生成するために使用されます。
    x-box-tag: docgen
  - name: Box Doc Genテンプレート
    description: Doc Genテンプレートは、ドキュメントを生成するための入力として使用されます。
    x-box-tag: docgen_template
  - name: 外部ユーザー
    description: 外部ユーザーは、自社に所属していないコラボレータです。
    x-box-tag: external_users
  - name: Box Hubs
    description: Box Hubsを管理するために使用される、一連のエンドポイント。
    x-box-tag: hubs
  - name: Box Hubコラボレーション
    description: Box Hub内のコラボレーションを管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_collaborations
  - name: Box Hubドキュメント
    description: Box Hubドキュメント要素 (ページとコンテンツブロック) を取得するために使用される、一連のエンドポイント。
    x-box-tag: hub_document
  - name: Box Hubの項目
    description: Box Hub内の項目を管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_items
  - name: Shieldリスト
    description: Shieldリストを使用すると、管理者は、さまざまなShieldスマートアクセスルールや脅威検出ルールで共有される項目のリストを作成できます。
    x-box-tag: shield_lists
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /enterprise_hubs:
    get:
      tags:
        - Box Hubs
      summary: リクエストしている企業のすべてのBox Hubのリストを取得
      description: |-
        指定した企業のすべてのBox Hubを取得します。

        このコールは、GCMスコープが設定されている、企業の管理者またはHub共同管理者が実行できます。
      operationId: get_enterprise_hubs_v2025.0
      parameters:
        - name: query
          in: query
          description: Box Hubを検索するためのクエリ文字列。
          required: false
          schema:
            type: string
          example: Box
        - name: sort
          in: query
          description: >-
            結果の並べ替えに使用するフィールド。使用可能な値には、`name`、`updated_at`、`last_accessed_at`、`view_count`、`relevance`があります。デフォルトは`relevance`です。
          required: false
          schema:
            type: string
            default: relevance
          example: name
        - name: direction
          in: query
          description: 結果を並べ替える方向。アルファベットの昇順 (`ASC`) または降順 (`DESC`) のいずれかを指定できます。
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
          example: ASC
        - name: marker
          in: query
          description: 結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。
          required: false
          schema:
            type: string
          example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
        - name: limit
          in: query
          description: 返す項目の1ページあたりの最大数。
          required: false
          schema:
            type: integer
            format: int64
            maximum: 1000
          example: 1000
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: 指定したユーザーまたは企業のすべてのBox Hubを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Hubs'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: リクエストしている企業のすべてのBox Hubのリストを取得
          source: |-
            curl -i -X GET "https://api.box.com/2.0/enterprise_hubs" \
                 -H "box-version: 2025.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>"
        - lang: dotnet
          label: リクエストしている企業のすべてのBox Hubのリストを取得
          source: >-
            await client.Hubs.GetEnterpriseHubsV2025R0Async(queryParams: new
            GetEnterpriseHubsV2025R0QueryParams() { Sort = "name", Direction =
            GetEnterpriseHubsV2025R0QueryParamsDirectionField.Asc });
        - lang: swift
          label: リクエストしている企業のすべてのBox Hubのリストを取得
          source: >-
            try await client.hubs.getEnterpriseHubsV2025R0(queryParams:
            GetEnterpriseHubsV2025R0QueryParams(sort: "name", direction:
            GetEnterpriseHubsV2025R0QueryParamsDirectionField.asc))
        - lang: java
          label: リクエストしている企業のすべてのBox Hubのリストを取得
          source: >-
            client.getHubs().getEnterpriseHubsV2025R0(new
            GetEnterpriseHubsV2025R0QueryParams.Builder().sort("name").direction(GetEnterpriseHubsV2025R0QueryParamsDirectionField.ASC).build())
        - lang: node
          label: リクエストしている企業のすべてのBox Hubのリストを取得
          source: |-
            await client.hubs.getEnterpriseHubsV2025R0({
              sort: 'name',
              direction: 'ASC' as GetEnterpriseHubsV2025R0QueryParamsDirectionField,
            } satisfies GetEnterpriseHubsV2025R0QueryParams);
        - lang: python
          label: リクエストしている企業のすべてのBox Hubのリストを取得
          source: |-
            client.hubs.get_enterprise_hubs_v2025_r0(
                sort="name", direction=GetEnterpriseHubsV2025R0Direction.ASC
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    Hubs:
      description: Hubのページ割りされたリスト。
      type: object
      allOf:
        - properties:
            entries:
              description: Hubのリスト。
              type: array
              items:
                $ref: '#/components/schemas/Hub'
        - type: object
          description: マーカーベースのページネーションについて説明しているAPIレスポンスの部分。
          properties:
            limit:
              description: >-
                これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータの`limit`と等しくなります。最大値はAPIによって異なります。
              type: integer
              format: int64
              example: 1000
            next_marker:
              description: 次の検索結果ページの開始場所のマーカー。
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
              nullable: true
      title: Box Hubs
      x-box-resource-id: hubs_v2025.0
      x-box-tag: hubs
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2025.0
    Hub:
      description: 任意のBox Hubs APIエンドポイントからデフォルトで返されるBox HubのStandard版の表示。
      type: object
      allOf:
        - $ref: '#/components/schemas/Hub--Base'
        - properties:
            title:
              description: Box Hubのタイトル。
              type: string
              example: Contracts
            description:
              description: Box Hubの説明。最初の200文字が返されます。
              type: string
              example: All the contracts for the company.
            created_at:
              description: >-
                このフォルダが作成された日時。ルートフォルダやごみ箱フォルダなど、一部のフォルダの場合、この値は`null`になる場合があります。
              type: string
              format: date-time
              example: '2012-12-12T10:53:43Z'
            updated_at:
              description: Box Hubが最後に更新された日時。
              type: string
              format: date-time
              example: '2012-12-12T10:53:43Z'
            created_by:
              allOf:
                - $ref: '#/components/schemas/User--Mini'
                - description: このBox Hubを作成したユーザー。
            updated_by:
              allOf:
                - $ref: '#/components/schemas/User--Mini'
                - description: このBox Hubを最後に変更したユーザー。
            view_count:
              description: Box Hubの表示回数。
              type: integer
              format: int32
              example: 506
            is_ai_enabled:
              description: AI機能がBox Hubに対して有効になっているかどうかを示します。
              type: boolean
              example: true
            is_collaboration_restricted_to_enterprise:
              description: コラボレーションが企業に制限されているかどうかを示します。
              type: boolean
              example: true
            can_non_owners_invite:
              description: 所有者以外のユーザーが他のユーザーをBox Hubに招待できるかどうかを示します。
              type: boolean
              example: true
            can_shared_link_be_created:
              description: Box Hubに対して共有リンクを作成できるかどうかを示します。
              type: boolean
              example: true
            can_public_shared_link_be_created:
              description: Box Hubに対して公開共有リンクを作成できるかどうかを示します。
              type: boolean
              example: true
            copy_hub_access:
              description: |-
                Box Hubをコピーできるユーザーを指定します。

                - `all` - Hubにアクセス可能な任意のユーザーがコピーできます。
                - `company` - Hubと同じ企業内のユーザーのみがコピーできます。
                - `none` - どのユーザーもHubをコピーできません。
              type: string
              example: company
              enum:
                - all
                - company
                - none
      title: Box Hub
      x-box-resource-id: hub_v2025.0
      x-box-tag: hubs
      x-box-variant: standard
    Hub--Base:
      description: 最も基本的なBox HubのBase版の表示。
      type: object
      properties:
        id:
          description: >-
            Box Hubを表す一意の識別子。


            Box HubのIDを確認するには、ウェブアプリでBox
            Hubにアクセスして、URLからIDをコピーします。たとえば、URLが`https://*.app.box.com/hubs/123`の場合、`hub_id`は`123`です。
          type: string
          example: '12345'
        type:
          description: 値は常に`hubs`になります。
          type: string
          example: hubs
          enum:
            - hubs
      required:
        - id
        - type
      title: Box Hub (Base)
      x-box-resource-id: hub_v2025.0--base
      x-box-tag: hubs
      x-box-variant: base
      x-box-variants:
        - base
        - standard
    User--Mini:
      description: 他のリソース内にネストされたときに返される可能性があるユーザーのMini版の表示。
      type: object
      allOf:
        - $ref: '#/components/schemas/User--Base'
        - properties:
            name:
              description: このユーザーの表示名。
              type: string
              example: Aaron Levie
              maxLength: 50
            login:
              description: このユーザーのプライマリメールアドレス。
              type: string
              format: email
              example: ceo@example.com
      title: ユーザー (Mini)
    User--Base:
      description: 他のリソース内にネストされたときに使用されるユーザーのMini版の表示。
      type: object
      properties:
        id:
          description: このユーザーの一意の識別子。
          type: string
          example: '11446498'
        type:
          description: 値は常に`user`になります。
          type: string
          example: user
          enum:
            - user
          nullable: false
      required:
        - type
        - id
      title: ユーザー (Base)
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````